Subject: [IPsec] FW: New Version Notification for draft-smyslov-ipsecme-rfc8229bis-00.txt

From: Valery Smyslov <[email-masked]>
Date: Wed, 6 May 2020 16:42:11 +0300

Hi,

following the suggestions from Tom and Paul I've prepared a 8229bis draft.
It incorporates all the clarifications from ipsecme-tcp-guidelines draft.

Comments are very welcome.

Regards,
Valery.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, May 06, 2020 4:37 PM
To: Valery Smyslov
Subject: New Version Notification for draft-smyslov-ipsecme-rfc8229bis-00.txt

A new version of I-D, draft-smyslov-ipsecme-rfc8229bis-00.txt
has been successfully submitted by Valery Smyslov and posted to the
IETF repository.

Name:		draft-smyslov-ipsecme-rfc8229bis
Revision:	00
Title:		TCP Encapsulation of IKE and IPsec Packets
Document date:	2020-05-06
Group:		Individual Submission
Pages:		30
URL:            https://www.ietf.org/internet-drafts/draft-smyslov-ipsecme-rfc8229bis-00.txt
Status:         https://datatracker.ietf.org/doc/draft-smyslov-ipsecme-rfc8229bis/
Htmlized:       https://tools.ietf.org/html/draft-smyslov-ipsecme-rfc8229bis-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-smyslov-ipsecme-rfc8229bis

Abstract:
   This document describes a method to transport Internet Key Exchange
   Protocol (IKE) and IPsec packets over a TCP connection for traversing
   network middleboxes that may block IKE negotiation over UDP.  This
   method, referred to as "TCP encapsulation", involves sending both IKE
   packets for Security Association establishment and Encapsulating
   Security Payload (ESP) packets over a TCP connection.  This method is
   intended to be used as a fallback option when IKE cannot be
   negotiated over UDP.

   TCP encapsulation for IKE and IPsec was defined in [RFC8229].  This
   document updates specification for TCP encapsulation by including
   additional calarifications obtained during implementation and
   deployment of this method.  This documents makes RFC8229 obsolete.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat